Bug 1866896 - Patches in Forge macros - Auto macros
Summary: Patches in Forge macros - Auto macros
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-06 18:09 UTC by Ben Cotton
Modified: 2021-08-17 11:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-17 05:54:12 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-08-06 18:09:12 UTC
This is a tracking bug for Change: Patches in Forge macros - Auto macros - Detached rpm changelogs
For more details, see: https://fedoraproject.org/wiki/Changes/Patches_in_Forge_macros_-_Auto_macros_-_Detached_rpm_changelogs

redhat-rpm-config will be updated to add patching support to forge macros, a plug-able framework to register macros to execute in specific sections, and rpm changelogs in detached files.

Comment 1 Ben Cotton 2020-08-12 14:27:50 UTC
Branching F33 Change Tracker bugs.

Yesterday was the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 2 Ben Cotton 2020-08-22 00:47:41 UTC
Deferred to F34 by FESCo

Comment 3 Ben Cotton 2021-02-10 21:52:58 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 34 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 34, please set the version to rawhide.

The 100% code complete deadline is Tue 2021-02-23.

Comment 4 Ben Cotton 2021-02-16 15:52:09 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 5 Ben Cotton 2021-02-23 16:38:11 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.

Comment 6 Ben Cotton 2021-02-24 17:12:08 UTC
Change deferred to F35 by FESCo

Comment 7 Ben Cotton 2021-08-10 12:32:57 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton@redhat.com.

Comment 8 Zbigniew Jędrzejewski-Szmek 2021-08-17 05:54:12 UTC
We discussed in in yesterday's FESCo meeting, and voted to reject the change.
Rpmautospec has been deployed, which overlaps with this change. It seems that no work on
this has been done in the recent months, and it's too late to push for F35.
Of course, the change can be resubmitted for F36 or later if desired.


Note You need to log in before you can comment on or make changes to this bug.